unit ICResources;

(*	This file is part of the Internet Configuration system and is placed in the public domain for the benefit of all.
*)

interface

	const
		(* MBAR *)
		rMainMenuBar = 128;
		
		(* MENU *)		
		mApple = 128;
			iAbout = 1;
		mFile = 129;
			iNew = 1;
			iOpen = 2;
			iOpenInternetPreferences = 3;
			(* *)
			iClose = 5;
			iSave = 6;
			iSaveAs = 7;
			(* *)
			iQuit = 9;
		mEdit = 130;
			iUndo = 1;
			(* *)
			iCut = 3;
			iCopy = 4;
			iPaste = 5;
			iClear = 6;
			iSelectAll = 7;
		mInstall = 131;
			iInstallExtension = 1;
			iSaveExtension = 2;
			iRemoveExtension = 3;
		mWindows = 132;
			iMainWindowName = 1;
		
		(* STR# *)
		rMiscStrings = 128;
			strUntitled = 1;
			strOther = 2;
			strFTPServerPrompt = 3;
			strArchieServerPrompt = 4;
			strLongDash = 5;
			strEmpty = 6;
			strEmpty2 = 7;
			strInstallExtensionPrompt = 8;
			strReplaceExtensionPrompt = 9;
			strOlderVersion = 10;
			strNewerVersion = 11;
			strInternetConfigExtension = 12;
			strSaveExtensionPrompt = 13;
			strSampleFontText = 14;
			strFirstWindowMenuItemText = 15;
			strSampleFontTextEasterEgg = 16;
			strReplaceOlderExtension = 17;
			strReplaceNewerExtension = 18;
			strReplaceCurrentExtension = 19;
			strNoNeedToRestart = 20;
			strFourX = 21;
			strEmpty3 = 22;
			strNone = 23;
			strLeftSmartQuote = 24;
			strRightSmartQuote = 25;
			strYouNeedToRestart = 26;
			strSelectColourPrompt = 27;
		rAboutBoxStrings = 129;
		rButtonLabels = 130;
		rActionStrings = 131;
		
		(* Common to ALRTs and DLOGs: *)
		ditOK = 1;
		ditCancel = 2;

		(* ALRT *)
		rSaveChangesAlert = 135;
			ditDontSave = 3;
		rErrorAlert = 140;
		rInstallConfirmAlert = 141;
		rInstallResultAlert = 142;
		rLockedAlert = 143;
		rRemoveResultAlert = 144;
		rReplaceConfirmAlert = 145;
		rUpdateConfirmAlert = 146;
		rLaunchURLErrorAlert = 147;
		rLaunchURLError2Alert = 148;
		rWarnChangedAlert = 160;
		rConfirmSetDefaultAlert = 165;
		rPrefNotFoundAlert = 166;
		rMailConfirmAlert = 167;
			ditFAQ = 1;
			ditEmail = 3;
			
		(* DLOG *)
		rAboutDialog = 128;
			ditAboutBoxIcon = 1;
			ditAboutBoxVersion = 3;
			ditAboutBoxMailToURL = 6;
			ditAboutBoxFAQURL = 7;
		rMainDialog = 200;
		rPersonalDialog = 201;
		rEmailDialog = 202;
		rNewsDialog = 203;
		rWWWDialog = 204;
		rFileTransferDialog = 205;
		rOtherServicesDialog = 206;
		rFontsDialog = 207;
			ditPrinterFontSample = 9;
		rFileMappingDialog = 208;
			ditFileMapChange = 1;
			ditFileMapDefaultUserItem = 2;
			ditFileMapAdd = 3;
			ditFileMapDelete = 4;
			ditFileMapList = 5;
			ditFileMapSortExtension = 6;
			ditFileMapSortApplication = 7;
			ditFileMapSortName = 8;
			ditFileMapDefaults = 9;
		rHelpersDialog = 209;
			ditHelpersChange = 1;
			ditHelpersDefaultUserItem = 2;
			ditHelpersAdd = 3;
			ditHelpersDelete = 4;
			ditHelpersList = 5;
		rFirewallsDialog = 210;
		
		rFontsDialog6 = 290;
		
		rOtherServerDialog = 500;
			ditDefault = 3;
			ditOtherServerName = 4;
			ditOtherServerHost = 5;
			ditOtherServerPath = 6;
			ditOtherServerTitle = 7;
			ditOtherServerNameTitle = 8;
			ditOtherServerHostTitle = 9;
			ditOtherServerPathTitle = 10;
		rOtherSizeDialog = 700;
(*			ditOK = 1; *)
(*			ditCancel = 2; *)
			ditOtherSizeDefaultUserItem = 3;
			ditOtherSizeText = 4;
		rEditMapEntryDialog = 800;
(*			ditOK = 1; *)
(*			ditCancel = 2; *)
			ditEditMapDefaultUserItem = 3;
			ditEditMapEntryName = 4;
			ditEditMapExtension = 5;
			ditEditMapMIMEType = 6;
			ditEditMapAsciiRadio = 7;
			ditEditMapBinaryRadio = 8;
			ditEditMapMacintoshRadio = 9;
			ditEditMapType = 10;
			ditEditMapCreator = 11;
			ditEditMapChooseExample = 12;
			ditEditMapApplicationName = 13;
			ditEditMapPostCheckbox = 14;
			ditEditMapPostCreator = 15;
			ditEditMapPostButton = 16;
			ditEditMapNotForIncoming = 17;
			ditEditMapNotForOutgoing = 18;
			ditEditMapDefaults = 19;
		rEditHelperDialog = 900;
(*			ditOK = 1; *)
(*			ditCancel = 2; *)
			ditAddHelperDefaultUserItem = 3;
			ditAddHelperScheme = 4;
			ditAddHelperAppName = 5;
			ditAddHelperChooseApplication = 6;
		rFolderOpenDialog6 = 1500;
			ditThisFolder = 11;		(* Our custom item in the SFP dialog. *)
		rCustomGetFolderDialog = 2008;
			ditGetFolderSelectButton = 10;
			ditGetFolderPromptString = 11;
			ditGetFolderSelectString = 12;

	(* ICN# *)
	rApplicationIcon = 128;
	rFirstButtonIcon = 201;
	
	(* LDEF *)
	rSimpleLDEF = 128;
	
	(* Ners -- error list *)
	rMainErrorList = 128;
	
	(* ThNg -- resource fork of the IC component *)
	rInternetConfigComponent = 128;
	
implementation

end. (* ICResources *)
